import request from '@/utils/request'

// 查询项目联系人列表
export function listContacts(query) {
  return request({
    url: '/invest/contacts/list',
    method: 'get',
    params: query
  })
}

// 查询项目联系人详细
export function getContacts(id) {
  return request({
    url: '/invest/contacts/' + id,
    method: 'get'
  })
}

// 新增项目联系人
export function addContacts(data) {
  return request({
    url: '/invest/contacts',
    method: 'post',
    data: data
  })
}

// 修改项目联系人
export function updateContacts(data) {
  return request({
    url: '/invest/contacts',
    method: 'put',
    data: data
  })
}

// 删除项目联系人
export function delContacts(id) {
  return request({
    url: '/invest/contacts/' + id,
    method: 'delete'
  })
}
